View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Notes:
- If you specify one or more optional query parameters, the
ending_balanceresponse field is empty.- It takes a maximum of three hours for executed transactions to appear in the list transactions call.
- This call lists transaction for the previous three years.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/reporting/search/readtransaction_idstringOptionalNote: A transaction ID is not unique in the reporting system. The response can list two transactions with the same ID. One transaction can be balance affecting while the other is non-balance affecting.
transaction_statusstringOptional| Status code | Description |
|---|---|
D | PayPal or merchant rules denied the transaction. |
P | The transaction is pending. The transaction was created but waits for another payment process to complete, such as an ACH transaction, before the status changes to S. |
S | The transaction successfully completed without a denial and after any pending statuses. |
V | A successful transaction was reversed and funds were refunded to the original sender. |
transaction_amountstringOptionalNote:The values must be URL encoded.
start_datestringRequiredend_datestringRequiredpayment_instrument_typestringOptionalCREDITCARD. Returns a direct credit card transaction with a corresponding value.DEBITCARD. Returns a debit card transaction with a corresponding value.fieldsstringOptionaltransaction_info value returns only the transaction details in the response. To include all fields in the response, specify fields=all. Valid fields are:transaction_info. The transaction information. Includes the ID of the PayPal account of the payee, the PayPal-generated transaction ID, the PayPal-generated base ID, the PayPal reference ID type, the transaction event code, the date and time when the transaction was initiated and was last updated, the transaction amounts including the PayPal fee, any discounts, insurance, the transaction status, and other information about the transaction.payer_info. The payer information. Includes the PayPal customer account ID and the payer's email address, primary phone number, name, country code, address, and whether the payer is verified or unverified.shipping_info. The shipping information. Includes the recipient's name, the shipping method for this order, the shipping address for this order, and the secondary address associated with this order.auction_info. The auction information. Includes the name of the auction site, the auction site URL, the ID of the customer who makes the purchase in the auction, and the date and time when the auction closes.cart_info. The cart information. Includes an array of item details, whether the item amount or the shipping amount already includes tax, and the ID of the invoice for PayPal-generated invoices.incentive_info. An array of incentive detail objects. Each object includes the incentive, such as a special offer or coupon, the incentive amount, and the incentive program code that identifies a merchant loyalty or incentive program.store_info. The store information. Includes the ID of the merchant store and the terminal ID for the checkout stand in the merchant store.PayPal-Enforce-ISO8601-FormatbooleanOptionalPayPal-Enforce-ISO8601-Formatin the header. When this value is set to true, the APIs will support the new date time format and platform changes.
Note: You can use the same header in the sandbox as well.
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/reporting/transactions?start_date=stringstringstringst&end_date=stringstringstringst"{ "transaction_details": [ { "transaction_info": { "paypal_account_id": "string", "transaction_id": "string", "paypal_reference_id": "string", "paypal_reference_id_type": "ODR", "transaction_event_code": "strin", "transaction_initiation_date": "stringstringstringst", "transaction_updated_date": "stringstringstringst", "transaction_amount": { "currency_code": "str", "value": "string" }, "fee_amount": { "currency_code": "str", "value": "string" }, "discount_amount": { "currency_code": "str", "value": "string" }, "insurance_amount": { "currency_code": "str", "value": "string" }, "sales_tax_amount": { "currency_code": "str", "value": "string" }, "shipping_amount": { "currency_code": "str", "value": "string" }, "shipping_discount_amount": { "currency_code": "str", "value": "string" }, "shipping_tax_amount": { "currency_code": "str", "value": "string" }, "other_amount": { "currency_code": "str", "value": "string" }, "tip_amount": { "currency_code": "str", "value": "string" }, "transaction_status": "s", "transaction_subject": "string", "transaction_note": "string", "payment_tracking_id": "string", "bank_reference_id": "string", "ending_balance": { "currency_code": "str", "value": "string" }, "available_balance": { "currency_code": "str", "value": "string" }, "invoice_id": "string", "custom_field": "string", "protection_eligibility": "st", "credit_term": "string", "credit_transactional_fee": { "currency_code": "str", "value": "string" }, "credit_promotional_fee": { "currency_code": "str", "value": "string" }, "annual_percentage_rate": "string", "payment_method_type": "string", "instrument_type": "string", "instrument_sub_type": "string", "decline_code": "string" }, "payer_info": { "account_id": "string", "email_address": "string", "phone_number": { "country_code": "str", "national_number": "string", "extension_number": "string" }, "address_status": "s", "payer_status": "s", "payer_name": { "prefix": "string", "given_name": "string", "surname": "string", "middle_name": "string", "suffix": "string", "alternate_full_name": "string", "full_name": "string" }, "country_code": "st", "address": { "line1": "string", "line2": "string", "city": "string", "state": "string", "country_code": "st", "postal_code": "string" } }, "shipping_info": { "name": "string", "method": "string", "address": { "line1": "string", "line2": "string", "city": "string", "state": "string", "country_code": "st", "postal_code": "string" }, "secondary_shipping_address": { "line1": "string", "line2": "string", "city": "string", "state": "string", "country_code": "st", "postal_code": "string" } }, "cart_info": { "item_details": [ { "item_code": "string", "item_name": "string", "item_description": "string", "item_options": "string", "item_quantity": "string", "item_unit_price": { "currency_code": "str", "value": "string" }, "item_amount": { "currency_code": "str", "value": "string" }, "discount_amount": { "currency_code": "str", "value": "string" }, "adjustment_amount": { "currency_code": "str", "value": "string" }, "gift_wrap_amount": { "currency_code": "str", "value": "string" }, "tax_percentage": "string", "tax_amounts": [ { "tax_amount": { "currency_code": "str", "value": "string" } } ], "basic_shipping_amount": { "currency_code": "str", "value": "string" }, "extra_shipping_amount": { "currency_code": "str", "value": "string" }, "handling_amount": { "currency_code": "str", "value": "string" }, "insurance_amount": { "currency_code": "str", "value": "string" }, "total_item_amount": { "currency_code": "str", "value": "string" }, "invoice_number": "string", "checkout_options": [ { "checkout_option_name": "string", "checkout_option_value": "string" } ] } ], "tax_inclusive": false, "paypal_invoice_id": "string" }, "store_info": { "store_id": "string", "terminal_id": "string" }, "auction_info": { "auction_site": "string", "auction_item_site": "http://example.com", "auction_buyer_id": "string", "auction_closing_date": "stringstringstringst" }, "incentive_info": { "incentive_details": [ { "incentive_type": "string", "incentive_code": "string", "incentive_amount": { "currency_code": "str", "value": "string" }, "incentive_program_code": "string" } ] } } ], "account_number": "string", "start_date": "stringstringstringst", "end_date": "stringstringstringst", "last_refreshed_datetime": "stringstringstringst", "page": 0, "total_items": 0, "total_pages": 0, "links": [ { "href": "string", "rel": "string", "method": "GET" } ]}